<?php
		session_start();
		include('../conectar.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
		$usuario=($_SESSION['username']);
		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
		}
		$hoy=date("d/m/Y");
        $hora=date("H:i:s");
?>
<?php

$cadena_busqueda=$_GET["cadena_busqueda"];



if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$cdgart=$array_cadena_busqueda[1];

	$cdgbar=$array_cadena_busqueda[2];

	$dscart=$array_cadena_busqueda[3];

	

} else {

	$cdgart="";

	$cdgbar="";

	$dscart="";

	

}



?>

<html>

	<head>

		<title>Modulo Inventario</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

				
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "form_busqueda"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			
		


		function inicio() {

			document.getElementById("form_busqueda").submit();

		}

		

		function nuevo_flotilla() {

			location.href="nuevo_articulo.php";

		}

		

		function imprimir() {

			var numbus=document.getElementById("cdgart").value;

			var desbus=document.getElementById("cdgbar").value;

			var placa=document.getElementById("dscart").value;			

			

			window.open("../fpdf/inventario.php?cdgart="+cdgart+"&cdgbar="+cdgbar+"&dscart="+dscart);

		}

		

		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {

				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			}

			document.getElementById("form_busqueda").submit();

		}

		

		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		

		function hacer_cadena_busqueda() {

			var cdgart=document.getElementById("cdgart").value;

			var cdgbar=document.getElementById("cdgbar").value;

			var dscart=document.getElementById("dscart").value;			

			//var modbus=document.getElementById("modbus").value;

			var cadena="";

			cadena="~"+cdgart+"~"+cdgbar+"~"+dscart+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("form_busqueda").reset();

		}

		

		function abreVentana(){

			miPopup = window.open("ventana_articulo.php","miwin","width=700,height=380,scrollbars=yes");

			miPopup.focus();

		}

		

		function validarflotilla(){

			var codigo=document.getElementById("cdgart").value;

			miPopup = window.open("comprobararticulo.php?cdgart="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>



</head>

    <body onLoad="nobackbutton(); inicio()" >



			<div id="zonaContenido">
<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
                    
      <div  id="formulario" class="contenido1">
                    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                      <tr>
                        <td width="1">&nbsp;</td>
                        <td width="122">&nbsp;</td>
                        <td colspan="5">&nbsp;</td>
                        <td width="4" rowspan="3">&nbsp;</td>
                        <td colspan="2">&nbsp;</td>
                        <td width="247" rowspan="4" align="right"><a href="nuevo_articulo.php"><img src="../img/cesta.png"  width="114" height="108"  title="Agregar Nuevo Articulo"></a></td>
                        <td width="8" rowspan="4" align="right">&nbsp;</td>	
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>Código Articulo:</td>
                        <td colspan="5"><div align="left" class="fuente8">
                          <input name="cdgart" type="text" class="cajaGrande" id="cdgart" value="<? echo $cdgart?>" maxlength="10"  onFocus="siguienteCampo ='desbus';" onChange="buscar()" >
                        </div></td>
                        <td width="101">Descripción:</td>
                        <td width="258"><div align="left" class="fuente8">
                          <input id="dscart" type="text" class="cajaGrandeNombre" name="dscart" maxlength="15" value="<? echo $dscart?>"  onFocus="siguienteCampo ='cdgart';"  onChange="buscar()">
                        </div></td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td height="28">Código barras:</td>
                        <td colspan="5"><div align="left" class="fuente8">
							  <input id="cdgbar" name="cdgbar" type="text" class="cajaGrande" maxlength="45" value="<? echo $cdgbar?>"  onFocus="siguienteCampo ='placa';"  onChange="buscar()">
                        </div></td>
                        <td colspan="2" rowspan="2"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"><img src="../img/print-icon (4).png" width="48" height="48"  border="0" onClick="imprimir()" onMouseOver="style.cursor=cursor" title="Imprimir"/><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></td>
                      </tr>
                      
                      <tr>
                        <td height="2" colspan="7">&nbsp;</td>
                        <td width="4">&nbsp;</td>
                        <td width="29" align="right">&nbsp;</td>
                      </tr>
        </table>
      </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Articulos 
				  <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right">Mostrados <select name="paginas" id="paginas" onChange="paginar()">

		          </select></td>

	    </table>

	  </div>


				<div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">


							

							<td width="12%" class="totalResultado">CODIGO</td>
							
							<td width="16%" class="totalResultado">COD BARRAS</td>

							<td width="28%" class="totalResultado"><div align="left">DESCRIPCION </div></td>

							<td width="13%" class="totalResultado">EXISTENCIA</td>

							<td width="16%" class="totalResultado">PRECIO VENTA</td>

							<td width="1%" class="totalResultado">&nbsp;</td>

							<td width="1%" class="totalResultado">&nbsp;</td>

							<td width="13%" class="totalResultado">&nbsp;</td>
						</tr>
				</table>
				</div>

				<p>
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  
				  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
				  <iframe style="margin: 0 0 0 0px;" width="100%" height="30%" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="250" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
				</p>
			  </form>

				<div id="">
				  <div class="aCentro" id="frmresultado">
				    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                      <tr >
                      </tr>
					  <tr id="frmresultado">
                        
                       
                      </tr>
                    </table>
			      </div>
				
			  </div>
			  </div>
		  </div>			



	</body>

</html>

